Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Change the naming of Detail view callouts 2

Status
Not open for further replies.

Hix066

Automotive
Apr 26, 2013
5
GB
Hi,

I'm new to the forum, but have been a Catia jockey since 2005.
I'm trying to find a method for automatically naming the callouts on detail views.
The company I have just joined have switched to Catia from Pro/E and as such, are being finicky about Catia drawings and the slight differences inherent in them.
Basically, at the moment when a detail view is created the callout merely references the sequential ID letter.
What they want is for the callout to state "See Detail [ID]"
I have looked in the standards as Admin but cannot find anything. The only way I have found is to choose properties on the actual view and change the ID field.
Surely there is a way of doing this automatically.
I know is a feeble point, but they are insisting on it :/

Cheers in advance for any pointers
 
Replies continue below

Recommended for you

Hi,

Late response, I was hopping that someone else will give you an answer... here is your solution.

Code:
Sub CATMain()

Msgbox "Select Detail View to Activate and Change Name"
CATIA.StartCommand"Activate View"

Dim InputObject(0)
InputObject(0) = "DrawingView"
Dim DrwSelect As Selection
Set DrwSelect = CATIA.ActiveDocument.Selection
Status = DrwSelect.SelectElement2(InputObject, "Select View", False)
 CATIA.StartCommand"Activate View"
CATIA.ActiveDocument.Update

Dim MyDoc As DrawingDocument
Set MyDoc = CATIA.ActiveDocument
Dim MySheets As DrawingSheets
Set MySheets = MyDoc.Sheets
Dim MySheet As DrawingSheet
Set MySheet = MySheets.ActiveSheet
Dim MyView As DrawingView
Set MyView = MySheet.Views.ActiveView

Dim myString 'As Double
myString = "See MyID" ''here you can put what you want - See Detail A
myString = InputBox ("Please enter the NEW ID", myString, "New ID for Detail View")

 '~ MyView.SetViewName "MyPrefix", "MyID", "MySuffix" - here is complete name, uncomment this line to see and comment next one
  MyView.SetViewName "", myString , ""

End Sub

You can modify all the other fields if you want, just read the commented line in code.

Regards
Fernando

 
Hi Fernando,

Thanks for the response, I tried the CATScript thanks very much, it works well.
Problem is I was trying to set this as a default in either settings or standards to be used company-wide. If users are responsible for changing every detail view generated, views will get missed and time will be used up changing the default everytime.
I'm trying to make the default See Detail ID so there are no changes needed.
Anyone got any idea?

Cheers
 
Hi,

Go to this following folder
1. x:program files\Dassault Systemes\B19\intel_a\resources\msgcatalog
2. find a file by name "CATView.CATNls"
3. open the file with notepad
4. change the names of view as you wish (mentioned in bold letters below)
like SectionCutView="Section cut "; to SectionCutView="Section";

Hope this is what you are searching for.

REgards,
Maddy.
 
Wow!!!
That is exactly what I needed. Thank you very much indeed. Genius :)
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor

Top